package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.StandardEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.common.entity.BaseEntity;

import java.util.Date;

/**
 * 对应数据库表(extracurricular_exercises_reply):
 */
public class ExtracurricularExercisesReply extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private Long extracurricularExercisesId;
	
	private ExtracurricularExercises extracurricularExercises = new ExtracurricularExercises();
	
	/**  */
	private Integer userId;
	
	private SysUser user = new SysUser();
	
	/** 作品附件 */
	@ApiModelProperty(value="作品附件")
	private String attachments;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 备注 */
	@ApiModelProperty(value="备注")
	private String remark;
	
	/** 提交状态 */
	@ApiModelProperty(value="提交状态")
	private Integer status;
	
	/** 是否回复 */
	@ApiModelProperty(value="是否回复")
	private Integer isReplied;

	@ApiModelProperty(value="是否及时回复")
	private Integer isRepliedTimely;
	
	/** 是否已查看 */
	@ApiModelProperty(value="是否已查看")
	private Integer isView;
	
	private String organName;

	@ApiModelProperty(value="提交时间")
	private Date submitTime;

	@ApiModelProperty(value="曲目编号，逗号分割")
	private String musicScoreId;

	/** 伴奏详情包含，曲目编号、分谱 */
	@ApiModelProperty(value="伴奏详情包含，曲目编号、分谱")
	private String musicScoreContent;

	@ApiModelProperty(value = "作业评级",required = true)
	private StandardEnum standardFlag;

	public StandardEnum getStandardFlag() {
		return standardFlag;
	}

	public void setStandardFlag(StandardEnum standardFlag) {
		this.standardFlag = standardFlag;
	}

	public String getMusicScoreContent() {
		return musicScoreContent;
	}

	public void setMusicScoreContent(String musicScoreContent) {
		this.musicScoreContent = musicScoreContent;
	}

	public String getMusicScoreId() {
		return musicScoreId;
	}

	public void setMusicScoreId(String musicScoreId) {
		this.musicScoreId = musicScoreId;
	}

	public Integer getIsRepliedTimely() {
		return isRepliedTimely;
	}

	public void setIsRepliedTimely(Integer isRepliedTimely) {
		this.isRepliedTimely = isRepliedTimely;
	}

	public Date getSubmitTime() {
		return submitTime;
	}

	public void setSubmitTime(Date submitTime) {
		this.submitTime = submitTime;
	}

	public ExtracurricularExercises getExtracurricularExercises() {
		return extracurricularExercises;
	}

	public void setExtracurricularExercises(ExtracurricularExercises extracurricularExercises) {
		this.extracurricularExercises = extracurricularExercises;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExtracurricularExercisesId(Long extracurricularExercisesId){
		this.extracurricularExercisesId = extracurricularExercisesId;
	}
	
	public Long getExtracurricularExercisesId(){
		return this.extracurricularExercisesId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setAttachments(String attachments){
		this.attachments = attachments;
	}
	
	public String getAttachments(){
		return this.attachments;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setIsReplied(Integer isReplied){
		this.isReplied = isReplied;
	}
	
	public Integer getIsReplied(){
		return this.isReplied;
	}
			
	public void setIsView(Integer isView){
		this.isView = isView;
	}
	
	public Integer getIsView(){
		return this.isView;
	}
			
	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
